/*
 * newclock.h --
 *
 *	This header file contains the function declarations needed for
 *	all of the source files in this package.
 *
 * Copyright (c) 1998-1999 Scriptics Corporation.
 * Copyright (c) 2003 ActiveState Corporation.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: newclock.h,v 1.2 2004/08/17 17:34:03 kennykb Exp $
 */

#ifndef _NEWCLOCK
#define _NEWCLOCK

#include <tcl.h>

/*
 * Windows needs to know which symbols to export.  Unix does not.
 * BUILD_newclock should be undefined for Unix.
 */

#ifdef BUILD_newclock
#undef TCL_STORAGE_CLASS
#define TCL_STORAGE_CLASS DLLEXPORT
#endif /* BUILD_newclock */

/*
 * Only the _Init function is exported.
 */

EXTERN int	Newclock_Init _ANSI_ARGS_((Tcl_Interp * interp));
EXTERN int	Newclock_SafeInit _ANSI_ARGS_((Tcl_Interp * interp));

#endif /* _NEWCLOCK */
